
Robotics Service Bus - Tasks #920
Release version 0.6
03/02/2012 08:10 PM - J. Moringen

Status: Closed Start date: 03/02/2012
Priority: Normal Due date: 03/05/2012
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.6
Description

    1. Create branches
        -  project:rsc ✓
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-xml ✓
        -  project:rsb-gstreamer ✓
        -  project:rsbtimesync ✓
    2. Create build jobs (see https://support.cor-lab.org/issues/377) ✓
    3. Version bump ✓
    4. Close version version:0.6 ✓
    5. Announce release
        -  In project:rsc redmine ?
        -  In project:rsb redmine ✓
        -  In project:rsbag redmine
        -  In project:rsb-xml redmine
        -  In project:rsb-gstreamer
        -  In project:rsbtimesync
        -  On the mailing list

Related issues:
Blocked by Robotics Service Bus - Bug # 760: Merging of multiple configuratio... Rejected 12/13/2011
Blocked by Robotics Service Bus - Feature # 727: Implement Connector Subsystem Resolved 11/18/2011
Blocked by RSBag - Bug # 867: Include IDL in channel format field Resolved 02/08/2012

Associated revisions
Revision 61 - 03/05/2012 11:06 AM - J. Moringen

0.6 branch; refs #920

Revision 586a3879 - 03/05/2012 11:06 AM - J. Moringen

0.6 branch; refs #920

Revision c8ce909a - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision d9ca2ed3 - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision f558f284 - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision 1c07a4d6 - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'
Revision 20b2a8a1 - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision 3b2934d9 - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision 548477d9 - 03/05/2012 02:28 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 6 -> 7
    -  cl/cl-rsb/cl-rsb.asd: changed version-minor 6 -> 7
    -  cl/cl-rsb-tools/cl-rsb-*.asd: likewise
    -  cl/cl-rsb-xml/cl-rsb-xml.asd: likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd: likewise
    -  cpp/core/CMakeLists.txt: changed RSB_VERSIN_MINOR 6 -> 7
    -  java/core/build.xml: changed project/@property[name=version] 6 -> 6
    -  python/core/setup.py: changed version '0.6.0' -> '0.7.0'
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision 69f13a88 - 03/05/2012 02:33 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 5 -> 7
    -  cl/cl-rsbag/cl-rsbag.asd: changed version-minor 6 -> 7
    -  cl/cl-rsbag-tools/cl-rsbag-*.asd: likewise
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'
Revision e7d13625 - 03/05/2012 02:33 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 5 -> 7
    -  cl/cl-rsbag/cl-rsbag.asd: changed version-minor 6 -> 7
    -  cl/cl-rsbag-tools/cl-rsbag-*.asd: likewise
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision 80744345 - 03/05/2012 02:33 PM - J. Moringen
Version bump 0.6.0 -> 0.7.0 in all sub-projects
refs #920
    -  protocol/CMakeLists.txt: changed RSB_PROTOCOL_VERSION_MINOR 5 -> 7
    -  cl/cl-rsbag/cl-rsbag.asd: changed version-minor 6 -> 7
    -  cl/cl-rsbag-tools/cl-rsbag-*.asd: likewise
    -  manual/conf.py.in: changed version '0.6' -> '0.7'; changed release

  '0.6.0' -> '0.7.0'

Revision af635f7e - 03/05/2012 03:35 PM - J. Moringen
Fixed missing version bump in cl/cl-rsb-tools/cl-rsb-tools-info.asd
refs #920
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd: changed version-minor 6 ->

  7; accidentally omitted in r3410

Revision 5343c548 - 03/06/2012 02:42 PM - J. Moringen
Changed version 0.5.0 -> 0.7.0 in matlab/build.xml
refs #920
    -  matlab/build.xml (project/@property[name="version"]): changed 0.5.0

  -> 0.7.0; seems to have been forgotten in previous release as well

Revision e906ba22 - 03/06/2012 02:43 PM - J. Moringen
Changed version 0.5.0 -> 0.6.0 in matlab/build.xml
refs #920
    -  matlab/build.xml (project/@property[name="version"]): changed 0.5.0

  -> 0.6.0; seems to have been forgotten in previous release

History
#1 - 03/02/2012 08:10 PM - J. Moringen
- Due date changed from 10/24/2011 to 03/05/2012
- Start date changed from 10/21/2011 to 03/02/2012

#2 - 03/05/2012 02:12 AM - J. Moringen
- Description updated
- % Done changed from 10 to 20

#3 - 03/05/2012 02:45 AM - J. Moringen
- Description updated
- % Done changed from 20 to 30

#4 - 03/05/2012 03:39 AM - J. Moringen
- Description updated
- % Done changed from 30 to 40

#5 - 03/05/2012 07:55 AM - J. Wienke

we should have an rsc release as well. but there is one issue about the periodic task left open. no idea what to do with that.

#6 - 03/05/2012 10:24 AM - J. Moringen

Can we just postpone the fix?

#7 - 03/05/2012 10:46 AM - J. Moringen
- Description updated

#8 - 03/05/2012 10:48 AM - J. Moringen
- Description updated
- % Done changed from 40 to 50

#9 - 03/05/2012 10:58 AM - J. Wienke

Jan Moringen wrote:

Can we just postpone the fix?

I am not sure. Arne did not reply to my question. It is issue #187.

#10 - 03/05/2012 11:07 AM - S. Wrede

I postponed #187. As there was no activity for some months, I would consider this as a matter of optimization. Hence, it should not block the release.

#11 - 03/05/2012 11:07 AM - J. Moringen
- Description updated

#12 - 03/05/2012 11:27 AM - J. Moringen
- Description updated

#13 - 03/05/2012 11:27 AM - J. Moringen
- Description updated

#14 - 03/05/2012 12:44 PM - J. Moringen
- Description updated
- % Done changed from 50 to 70

#15 - 03/05/2012 02:43 PM - J. Moringen
- Description updated
- % Done changed from 70 to 90

#16 - 03/06/2012 08:14 PM - J. Moringen
- Status changed from In Progress to Closed
- % Done changed from 90 to 100

#17 - 03/06/2012 08:15 PM - J. Moringen
- Description updated
